GNU bug report logs - #17837
24.4.50; Search very slow

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: rms@HIDDEN; dated Mon, 23 Jun 2014 15:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 26 Jun 2014 18:41:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 26 14:41:10 2014
Received: from localhost ([127.0.0.1]:34015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0EbX-00064X-2R
	for submit <at> debbugs.gnu.org; Thu, 26 Jun 2014 14:41:10 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:58224 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1X0EbP-00063n-Cd
 for 17837 <at> debbugs.gnu.org; Thu, 26 Jun 2014 14:41:00 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1X0EbO-0004sr-GH; Thu, 26 Jun 2014 14:40:54 -0400
Date: Thu, 26 Jun 2014 14:40:54 -0400
Message-Id: <E1X0EbO-0004sr-GH@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83lhsjpvi4.fsf@HIDDEN> (message from Eli Zaretskii on Thu, 26
 Jun 2014 17:59:15 +0300)
Subject: Re: bug#17837: 24.4.50; Search very slow
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
 <E1WzlNl-0005wx-Ki@HIDDEN> <83fvitqfso.fsf@HIDDEN>
 <E1WzxGN-0002zX-Eh@HIDDEN> <83lhsjpvi4.fsf@HIDDEN>
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    If this were true, then setting isearch-lazy-highlight to nil ought to
    make Isearch significantly faster for you.

That is true.

						I tried that and didn't
    see any noticeable difference; do you?

Well, I did see a big noticeable difference: after C-s C-s, Emacs got
stuck before even redisplaying point at the first occurrence of
"honor".

Since the bug did not go away, it wasn't due to highlighting the other
matches.  It must be that it simply happened within the highlighting
of the other matches, when that is enabled.

I tried M-x toggle-debug-on-quit and doing C-g while it was hung.
C-g only caused it to hang less, but did not get me a backtrace.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 26 Jun 2014 18:39:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 26 14:39:21 2014
Received: from localhost ([127.0.0.1]:34010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0EZn-000601-SW
	for submit <at> debbugs.gnu.org; Thu, 26 Jun 2014 14:39:21 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:58124 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1X0EZg-0005zg-Ef
 for 17837 <at> debbugs.gnu.org; Thu, 26 Jun 2014 14:39:13 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1X0EZf-0004Qn-VD; Thu, 26 Jun 2014 14:39:08 -0400
Date: Thu, 26 Jun 2014 14:39:07 -0400
Message-Id: <E1X0EZf-0004Qn-VD@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwv7g44qt46.fsf-monnier+emacsbugs@HIDDEN> (message from Stefan
 Monnier on Wed, 25 Jun 2014 22:54:27 -0400)
Subject: Re: bug#17837: 24.4.50; Search very slow
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
 <E1WzlNl-0005wx-Ki@HIDDEN> <83fvitqfso.fsf@HIDDEN>
 <E1WzxGN-0002zX-Eh@HIDDEN>
 <jwv7g44qt46.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17837
Cc: eliz@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    > The problem is not simple font-lock.  It is due to searching for
    > other matches for the search string.

    What makes you think so?

The profile output that was posted included the code that searches
for other matches.  At least, that's what ISTR.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 26 Jun 2014 14:59:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 26 10:59:48 2014
Received: from localhost ([127.0.0.1]:33825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X0B9L-0005Zs-2U
	for submit <at> debbugs.gnu.org; Thu, 26 Jun 2014 10:59:47 -0400
Received: from mtaout28.012.net.il ([80.179.55.184]:40168)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1X0B9F-0005ZS-6q
 for 17837 <at> debbugs.gnu.org; Thu, 26 Jun 2014 10:59:42 -0400
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0N7S006006PMXH00@HIDDEN> for
 17837 <at> debbugs.gnu.org; Thu, 26 Jun 2014 17:58:20 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7S002K26X8LG50@HIDDEN>; Thu, 26 Jun 2014 17:58:20 +0300 (IDT)
Date: Thu, 26 Jun 2014 17:59:15 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
In-reply-to: <E1WzxGN-0002zX-Eh@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: rms@HIDDEN
Message-id: <83lhsjpvi4.fsf@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
 <E1WzlNl-0005wx-Ki@HIDDEN> <83fvitqfso.fsf@HIDDEN>
 <E1WzxGN-0002zX-Eh@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Wed, 25 Jun 2014 20:10:03 -0400
> From: Richard Stallman <rms@HIDDEN>
> CC: 17837 <at> debbugs.gnu.org
> 
> The problem is not simple font-lock.  It is due to searching for
> other matches for the search string.

If this were true, then setting isearch-lazy-highlight to nil ought to
make Isearch significantly faster for you.  I tried that and didn't
see any noticeable difference; do you?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 26 Jun 2014 02:54:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 25 22:54:37 2014
Received: from localhost ([127.0.0.1]:60997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wzzpb-0004Bq-7e
	for submit <at> debbugs.gnu.org; Wed, 25 Jun 2014 22:54:36 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:41706)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WzzpZ-0004BW-OM
 for 17837 <at> debbugs.gnu.org; Wed, 25 Jun 2014 22:54:34 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCw4mEhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="69588600"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO ceviche.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 25 Jun 2014 22:54:28 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id D8D0066302; Wed, 25 Jun 2014 22:54:27 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
Message-ID: <jwv7g44qt46.fsf-monnier+emacsbugs@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
 <E1WzlNl-0005wx-Ki@HIDDEN> <83fvitqfso.fsf@HIDDEN>
 <E1WzxGN-0002zX-Eh@HIDDEN>
Date: Wed, 25 Jun 2014 22:54:27 -0400
In-Reply-To: <E1WzxGN-0002zX-Eh@HIDDEN> (Richard Stallman's message
 of "Wed, 25 Jun 2014 20:10:03 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17837
Cc: Eli Zaretskii <eliz@HIDDEN>, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> The problem is not simple font-lock.  It is due to searching for
> other matches for the search string.

What makes you think so?

Try to M-x profiler-start RET RET at the beginning and M-x profiler-report
RET at the end (and then C-u RET on the top entry).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 26 Jun 2014 00:10:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 25 20:10:08 2014
Received: from localhost ([127.0.0.1]:60922 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzxGR-0004Zr-NC
	for submit <at> debbugs.gnu.org; Wed, 25 Jun 2014 20:10:08 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:39504 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1WzxGO-0004Ze-II
 for 17837 <at> debbugs.gnu.org; Wed, 25 Jun 2014 20:10:05 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1WzxGN-0002zX-Eh; Wed, 25 Jun 2014 20:10:03 -0400
Date: Wed, 25 Jun 2014 20:10:03 -0400
Message-Id: <E1WzxGN-0002zX-Eh@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83fvitqfso.fsf@HIDDEN> (message from Eli Zaretskii on Wed, 25
 Jun 2014 16:28:39 +0300)
Subject: Re: bug#17837: 24.4.50; Search very slow
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
 <E1WzlNl-0005wx-Ki@HIDDEN> <83fvitqfso.fsf@HIDDEN>
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

This is a very painful problem when it happens, and I think it should
be fixed now.

The problem is not simple font-lock.  It is due to searching for
other matches for the search string.

That loop should pause for user input, as if it were a background
process.


-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 25 Jun 2014 13:28:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 25 09:28:57 2014
Received: from localhost ([127.0.0.1]:60074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WznFs-0003JM-T5
	for submit <at> debbugs.gnu.org; Wed, 25 Jun 2014 09:28:57 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:46726)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WznFm-0003J3-9d
 for 17837 <at> debbugs.gnu.org; Wed, 25 Jun 2014 09:28:50 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N7Q00M007PX6800@HIDDEN> for 17837 <at> debbugs.gnu.org;
 Wed, 25 Jun 2014 16:28:39 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7Q00LJ583QWA80@HIDDEN>;
 Wed, 25 Jun 2014 16:28:39 +0300 (IDT)
Date: Wed, 25 Jun 2014 16:28:39 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
In-reply-to: <E1WzlNl-0005wx-Ki@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: rms@HIDDEN
Message-id: <83fvitqfso.fsf@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
 <E1WzlNl-0005wx-Ki@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Wed, 25 Jun 2014 07:28:53 -0400
> From: Richard Stallman <rms@HIDDEN>
> CC: 17837 <at> debbugs.gnu.org
> 
> However, there is no need to try more cases.
> Once there is one case that reproducibly causes bad behavior,
> using a debugger to figure out what happens in that case
> gives the lowest expected time to understanding the problem.

There's no need to debug this, because the reason is painfully clear:
once JIT font-lock kicks in (as a side effect of displaying a new
screenful of data), it takes it sufficiently long time to fontify the
displayed text.  As long as it fontifies, Emacs doesn't return to the
main loop, and your input is not obeyed.

The things I suggested were meant to provide some workaround for you,
not to solve the root cause (which AFAIU cannot be solved until HTML
fontification is this heavy).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 25 Jun 2014 11:29:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 25 07:29:00 2014
Received: from localhost ([127.0.0.1]:60017 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzlNr-00074u-U5
	for submit <at> debbugs.gnu.org; Wed, 25 Jun 2014 07:29:00 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:51879 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1WzlNm-00074U-87
 for 17837 <at> debbugs.gnu.org; Wed, 25 Jun 2014 07:28:58 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1WzlNl-0005wx-Ki; Wed, 25 Jun 2014 07:28:53 -0400
Date: Wed, 25 Jun 2014 07:28:53 -0400
Message-Id: <E1WzlNl-0005wx-Ki@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83vbrqqowi.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 24
 Jun 2014 18:59:41 +0300)
Subject: Re: bug#17837: 24.4.50; Search very slow
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    Does anything change if you set redisplay-dont-pause to nil?

No, it does not change.
I tried that with jit-lock-defer-time = nil and = .1.

However, there is no need to try more cases.
Once there is one case that reproducibly causes bad behavior,
using a debugger to figure out what happens in that case
gives the lowest expected time to understanding the problem.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 25 Jun 2014 11:28:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 25 07:28:57 2014
Received: from localhost ([127.0.0.1]:60015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzlNp-00074d-C5
	for submit <at> debbugs.gnu.org; Wed, 25 Jun 2014 07:28:57 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:51878 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1WzlNl-00074S-U7
 for 17837 <at> debbugs.gnu.org; Wed, 25 Jun 2014 07:28:54 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1WzlNk-0005u4-IZ; Wed, 25 Jun 2014 07:28:52 -0400
Date: Wed, 25 Jun 2014 07:28:52 -0400
Message-Id: <E1WzlNk-0005u4-IZ@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <83vbrqqowi.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 24
 Jun 2014 18:59:41 +0300)
Subject: Re: bug#17837: 24.4.50; Search very slow
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    Does anything change if you set redisplay-dont-pause to nil?

No, it does not change.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 24 Jun 2014 17:29:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 24 13:29:29 2014
Received: from localhost ([127.0.0.1]:59550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzUX6-0007Bk-QG
	for submit <at> debbugs.gnu.org; Tue, 24 Jun 2014 13:29:29 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:49901)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WzUWz-0007BQ-R5
 for 17837 <at> debbugs.gnu.org; Tue, 24 Jun 2014 13:29:22 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCzQSFBgNJIgECNIZF456B4Q4BKkZgWqDTCE
X-IPAS-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgFWIwULCzQSFBgNJIgECNIZF456B4Q4BKkZgWqDTCE
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="69408406"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO ceviche.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 24 Jun 2014 13:29:11 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id A5A066638E; Tue, 24 Jun 2014 13:29:11 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
Message-ID: <jwv1tuez0er.fsf-monnier+emacsbugs@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN> <83vbrqqowi.fsf@HIDDEN>
Date: Tue, 24 Jun 2014 13:29:11 -0400
In-Reply-To: <83vbrqqowi.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 24 Jun
 2014 18:59:41 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17837
Cc: rms@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Stefan, isn't jit-lock supposed to stop and relinquish control if
> input is available?

No, it doesn't do any such thing (and in the non-deferred case it
probably shouldn't).  The closest I can think of is the stealth fontification
which checks input-pending-p, IIRC.

It would make sense to make the deferred case use while-no-input.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 24 Jun 2014 15:59:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 24 11:59:59 2014
Received: from localhost ([127.0.0.1]:59470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzT8V-0004Vg-5z
	for submit <at> debbugs.gnu.org; Tue, 24 Jun 2014 11:59:58 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:50992)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WzT8P-0004VF-23
 for 17837 <at> debbugs.gnu.org; Tue, 24 Jun 2014 11:59:52 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0N7O00D00KA9XF00@HIDDEN> for 17837 <at> debbugs.gnu.org;
 Tue, 24 Jun 2014 18:59:43 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7O00DR7KFIUO20@HIDDEN>;
 Tue, 24 Jun 2014 18:59:43 +0300 (IDT)
Date: Tue, 24 Jun 2014 18:59:41 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
In-reply-to: <E1WzSrN-0006ul-1w@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: rms@HIDDEN
Message-id: <83vbrqqowi.fsf@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <E1WzSrN-0006ul-1w@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17837
Cc: monnier@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Tue, 24 Jun 2014 11:42:13 -0400
> From: Richard Stallman <rms@HIDDEN>
> CC: monnier@HIDDEN, 17837 <at> debbugs.gnu.org
> 
>     Anyway, you may wish to experiment with setting jit-lock-defer-time to
>     a non-nil value.  E.g., try setting it to 0.25 or 0.5 sec, and see if
>     that gives good results.
> 
> I tried setting that to .1, and here's what happened.
> 
> I typed C-s C-s (which searched for "honor").  It found the first
> occurrence and displayed it without fontifying that area.
> 
> Then I typed C-f and got no response.  I suspect it had already
> started to highlight the other matches, and was fontifying the
> regions where they occur.
> 
> The C-f was executed after 30 seconds or more.

Does anything change if you set redisplay-dont-pause to nil?

Stefan, isn't jit-lock supposed to stop and relinquish control if
input is available?  I thought it did, but I cannot find any code to
that effect.  What am I missing?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 24 Jun 2014 15:43:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 24 11:43:49 2014
Received: from localhost ([127.0.0.1]:59455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzSsr-00042t-2P
	for submit <at> debbugs.gnu.org; Tue, 24 Jun 2014 11:43:49 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:59430 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1WzSsk-00042c-TI
 for 17837 <at> debbugs.gnu.org; Tue, 24 Jun 2014 11:43:43 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1WzSsj-0007I1-Vo; Tue, 24 Jun 2014 11:43:38 -0400
Date: Tue, 24 Jun 2014 11:43:37 -0400
Message-Id: <E1WzSsj-0007I1-Vo@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwvsimucuvi.fsf-monnier+emacsbugs@HIDDEN> (message from Stefan
 Monnier on Tue, 24 Jun 2014 11:06:10 -0400)
Subject: Re: bug#17837: 24.4.50; Search very slow
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
 <jwvsimucuvi.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17837
Cc: eliz@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    >> I counted around 45 seconds before it found the second occurrence.

    Richard, was that in an "emacs -Q"?

No, but I got a fairly similar result just now with -Q.
It was 37 sec for the first "honor", then 27 sec for the second.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 24 Jun 2014 15:42:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 24 11:42:23 2014
Received: from localhost ([127.0.0.1]:59450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzSrT-00040N-SC
	for submit <at> debbugs.gnu.org; Tue, 24 Jun 2014 11:42:23 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:59268 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1WzSrO-00040D-VW
 for 17837 <at> debbugs.gnu.org; Tue, 24 Jun 2014 11:42:18 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1WzSrN-0006ul-1w; Tue, 24 Jun 2014 11:42:13 -0400
Date: Tue, 24 Jun 2014 11:42:13 -0400
Message-Id: <E1WzSrN-0006ul-1w@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <834mzbrplv.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 24
 Jun 2014 05:46:52 +0300)
Subject: Re: bug#17837: 24.4.50; Search very slow
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17837
Cc: monnier@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

    Yes, I see some slowdown wrt 23.2, although not as drastic.  Are you
    sure both binaries were compiled similarly, e.g. as far as compiler
    optimization switches are concerned?

Perhaps not.  The 23.2 was not built by me.  I picked it because it was
the oldest I have.

    Anyway, you may wish to experiment with setting jit-lock-defer-time to
    a non-nil value.  E.g., try setting it to 0.25 or 0.5 sec, and see if
    that gives good results.

I tried setting that to .1, and here's what happened.

I typed C-s C-s (which searched for "honor").  It found the first
occurrence and displayed it without fontifying that area.

Then I typed C-f and got no response.  I suspect it had already
started to highlight the other matches, and was fontifying the
regions where they occur.

The C-f was executed after 30 seconds or more.

The current code gives bad results with all settings of that variable.
The code needs to be fixed.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 24 Jun 2014 15:06:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 24 11:06:27 2014
Received: from localhost ([127.0.0.1]:59435 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzSIg-0002yy-QG
	for submit <at> debbugs.gnu.org; Tue, 24 Jun 2014 11:06:27 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:36194)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WzSIa-0002ye-QC
 for 17837 <at> debbugs.gnu.org; Tue, 24 Jun 2014 11:06:21 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgEnLyMFCws0EhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IPAS-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwaDSr0vgw6BFxd0giUBAQEBAgEnLyMFCws0EhQYDSSIBAjSGReOegeEOASpGYFqg0wh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="69390159"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 24 Jun 2014 11:06:10 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 6CA236036C; Tue, 24 Jun 2014 11:06:10 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
Message-ID: <jwvsimucuvi.fsf-monnier+emacsbugs@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN> <834mzbrplv.fsf@HIDDEN>
Date: Tue, 24 Jun 2014 11:06:10 -0400
In-Reply-To: <834mzbrplv.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 24 Jun
 2014 05:46:52 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17837
Cc: rms@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> I counted around 45 seconds before it found the second occurrence.

Richard, was that in an "emacs -Q"?

> For me, the first one is slower: about 5 to 6 sec.  The second
> occurrence takes maybe 3.  Stefan, what's your timing?

Again trying it on my AMD E-350 machine, using the emacs-24 branch built
with -Og and enable-checking (on Debian testing), I get about half of
your times (about 2-3s for the first search and barely more than 1s for
the second).

Opening the file and doing M-> took 6s.
`emacs23' (Debian's build, i.e. probably with -O2 and without
enable-checking) took 4s for the M-> test.

On my fit-pc2 (Intel Atom, 1G RAM), the emacs-24 branch took 8s to do
the M->.
And on my Mele A2000 (i.e. Allwinner 1GHz A10 CPU with 512M of RAM), it
took 18s.

> Anyway, you may wish to experiment with setting jit-lock-defer-time to
> a non-nil value.  E.g., try setting it to 0.25 or 0.5 sec, and see if
> that gives good results.

I think we should first try and figure out why his second search takes
45s instead of a couple seconds (I expect his Longsoon might be slower
than my Atom, but not significantly slower than my little ARM machine).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 24 Jun 2014 02:47:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 22:47:07 2014
Received: from localhost ([127.0.0.1]:58753 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzGlG-0005JF-0c
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 22:47:06 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:42241)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WzGlC-0005Ig-3w
 for 17837 <at> debbugs.gnu.org; Mon, 23 Jun 2014 22:47:03 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N7N00200JDKUN00@HIDDEN> for 17837 <at> debbugs.gnu.org;
 Tue, 24 Jun 2014 05:46:55 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7N002X6JQ7V600@HIDDEN>;
 Tue, 24 Jun 2014 05:46:55 +0300 (IDT)
Date: Tue, 24 Jun 2014 05:46:52 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
In-reply-to: <E1WzFEJ-0006fn-GJ@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: rms@HIDDEN
Message-id: <834mzbrplv.fsf@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
 <E1WzFEJ-0006fn-GJ@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17837
Cc: monnier@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 23 Jun 2014 21:08:59 -0400
> From: Richard Stallman <rms@HIDDEN>
> CC: monnier@HIDDEN, 17837 <at> debbugs.gnu.org
> 
> C-s honor  [to set the search default]
> C-x b 2014-mar-jun.html RET
> M-<
> C-s C-s
> [wait to find the first occurrence]
> C-s [search for the second occurrence]
> 
> I counted around 45 seconds before it found the second occurrence.

For me, the first one is slower: about 5 to 6 sec.  The second
occurrence takes maybe 3.  Stefan, what's your timing?

> In Emacs 23.2, the second occurrence takes only 7 seconds.

Yes, I see some slowdown wrt 23.2, although not as drastic.  Are you
sure both binaries were compiled similarly, e.g. as far as compiler
optimization switches are concerned?

Anyway, you may wish to experiment with setting jit-lock-defer-time to
a non-nil value.  E.g., try setting it to 0.25 or 0.5 sec, and see if
that gives good results.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 24 Jun 2014 01:09:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 21:09:04 2014
Received: from localhost ([127.0.0.1]:58715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzFEO-0001Hr-G0
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 21:09:04 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:45242 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1WzFEK-0001HQ-KS
 for 17837 <at> debbugs.gnu.org; Mon, 23 Jun 2014 21:09:01 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1WzFEJ-0006fn-GJ; Mon, 23 Jun 2014 21:08:59 -0400
Date: Mon, 23 Jun 2014 21:08:59 -0400
Message-Id: <E1WzFEJ-0006fn-GJ@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <837g47shrk.fsf@HIDDEN> (message from Eli Zaretskii on Mon, 23
 Jun 2014 19:38:39 +0300)
Subject: Re: bug#17837: 24.4.50; Search very slow
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 17837
Cc: monnier@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

This one is even slower:

In some random buffer:

C-s honor  [to set the search default]
C-x b 2014-mar-jun.html RET
M-<
C-s C-s
[wait to find the first occurrence]
C-s [search for the second occurrence]

I counted around 45 seconds before it found the second occurrence.

In Emacs 23.2, the second occurrence takes only 7 seconds.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 23 Jun 2014 21:16:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 17:16:17 2014
Received: from localhost ([127.0.0.1]:58600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WzBb6-0002um-PX
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 17:16:17 -0400
Received: from mercure.iro.umontreal.ca ([132.204.24.67]:40486)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1WzBb4-0002ud-IN
 for 17837 <at> debbugs.gnu.org; Mon, 23 Jun 2014 17:16:14 -0400
Received: from hidalgo.iro.umontreal.ca (hidalgo.iro.umontreal.ca
 [132.204.27.50])
 by mercure.iro.umontreal.ca (Postfix) with ESMTP id 1E3C13C060;
 Mon, 23 Jun 2014 17:16:14 -0400 (EDT)
Received: from lechon.iro.umontreal.ca (lechon.iro.umontreal.ca
 [132.204.27.242])
 by hidalgo.iro.umontreal.ca (Postfix) with ESMTP id D4D5E1E5B74;
 Mon, 23 Jun 2014 17:15:49 -0400 (EDT)
Received: by lechon.iro.umontreal.ca (Postfix, from userid 20848)
 id ACAF8B4167; Mon, 23 Jun 2014 17:15:49 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
Message-ID: <jwvpphzqqhe.fsf-monnier+emacsbugs@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN> <837g47shrk.fsf@HIDDEN>
Date: Mon, 23 Jun 2014 17:15:49 -0400
In-Reply-To: <837g47shrk.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 23 Jun
 2014 19:38:39 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-DIRO-MailScanner-Information: Please contact the ISP for more information
X-DIRO-MailScanner: Found to be clean
X-DIRO-MailScanner-SpamCheck: n'est pas un polluriel,
 SpamAssassin (score=-2.82, requis 5, autolearn=not spam,
 ALL_TRUSTED -2.82, MC_TSTLAST 0.00)
X-DIRO-MailScanner-From: monnier@HIDDEN
X-Spam-Status: No
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 17837
Cc: rms@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>> It's not particularly slow for me.
> Your machine is much faster.

I doubt it.  I wasn't using my laptop, which is the only machine more
powerful than a netbook-style processor (I know it sounds odd, but my
desktops are less power than my laptops).
More specifically, I was using an AMD E-350 when I tried it.

Maybe I'm just used to things being slow.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 23 Jun 2014 16:39:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 12:39:05 2014
Received: from localhost ([127.0.0.1]:58425 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wz7Gl-00038E-Sf
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 12:39:05 -0400
Received: from mtaout24.012.net.il ([80.179.55.180]:43945)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wz7Gc-00037M-46
 for 17837 <at> debbugs.gnu.org; Mon, 23 Jun 2014 12:38:55 -0400
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0N7M00E00R56FA00@HIDDEN> for
 17837 <at> debbugs.gnu.org; Mon, 23 Jun 2014 19:34:44 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7M0073NRDWH580@HIDDEN>; Mon, 23 Jun 2014 19:34:44 +0300 (IDT)
Date: Mon, 23 Jun 2014 19:38:39 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
In-reply-to: <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <837g47shrk.fsf@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
 <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17837
Cc: rms@HIDDEN, 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Stefan Monnier <monnier@HIDDEN>
> Date: Mon, 23 Jun 2014 11:51:53 -0400
> Cc: 17837 <at> debbugs.gnu.org
> 
> > Visit stallman.org/archives/2014-mar-jun.html and type `C-s
> > interview'.  It takes a long time.  Repeat with C-s a few times; each
> > time, it takes a long time.
> 
> It's not particularly slow for me.

Your machine is much faster.  Mine is fast too, but still the delay is
annoyingly evident.  As long as the next hit is on the same screenful,
it is fast, but when it is far away, it takes annoyingly long to get
there.  I even got a hourglass cursor one time.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 23 Jun 2014 16:32:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 12:32:44 2014
Received: from localhost ([127.0.0.1]:58421 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wz7Ad-0002vi-I0
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 12:32:44 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:54533)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wz7AW-0002vC-QN
 for 17837 <at> debbugs.gnu.org; Mon, 23 Jun 2014 12:32:37 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0N7M00000R3C3A00@HIDDEN> for 17837 <at> debbugs.gnu.org;
 Mon, 23 Jun 2014 19:32:26 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7M00MDJRA1WG60@HIDDEN>;
 Mon, 23 Jun 2014 19:32:26 +0300 (IDT)
Date: Mon, 23 Jun 2014 19:32:21 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
In-reply-to: <83d2dzsk48.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: rms@HIDDEN
Message-id: <838uonsi22.fsf@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN> <83d2dzsk48.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Here's the profile, with today's trunk.  Looks like the function
called by syntax-ppss via funcall is the culprit.  The only funcall in
syntax-ppss calls syntax-begin-function, AFAICS.

  - command-execute                                                 672  94%
   - call-interactively                                             672  94%
    - funcall-interactively                                         672  94%
     - isearch-repeat-forward                                       663  93%
      - isearch-repeat                                              663  93%
       - isearch-update                                             655  92%
	- isearch-lazy-highlight-new-loop                           654  92%
	 - sit-for                                                  654  92%
	  - redisplay                                               654  92%
	   - redisplay_internal (C function)                        636  89%
	    - jit-lock-function                                     634  89%
	     - jit-lock-fontify-now                                 634  89%
	      - funcall                                             634  89%
	       - #<compiled 0x13152f7>                              634  89%
		- run-hook-with-args                                634  89%
		 - font-lock-fontify-region                         634  89%
		  - font-lock-default-fontify-region                634  89%
		   - font-lock-fontify-syntactically-region         631  89%
		    - syntax-propertize                             597  84%
		     - #<compiled 0x106c735>                        593  83%
		      - syntax-ppss                                 579  81%
		       - funcall                                    571  80%
			  #<compiled 0x106ced3>                     569  80%
		    - syntax-ppss                                    33   4%
		     - funcall                                       33   4%
			#<compiled 0x1448019>                        33   4%
		     font-lock-fontify-keywords-region                  2   0%
	    - find-image                                              2   0%
	       cond                                                   2   0%
       - isearch-search                                               8   1%
	- byte-code                                                   8   1%
	 - isearch-search-string                                      8   1%
	    search-forward-lax-whitespace                             8   1%
     - isearch-printing-char                                          7   0%
      - isearch-process-search-char                                   7   0%
       - isearch-process-search-string                                7   0%
	- isearch-search-and-update                                   7   0%
	 - isearch-update                                             7   0%
	  - isearch-lazy-highlight-new-loop                           7   0%
	   - sit-for                                                  7   0%
	    - redisplay                                               7   0%
	       redisplay_internal (C function)                        1   0%
     - execute-extended-command                                       1   0%
      - command-execute                                               1   0%
       - call-interactively                                           1   0%
	- funcall-interactively                                       1   0%
	   profiler-start                                             1   0%
     - minibuffer-complete                                            1   0%
      - completion-in-region                                          1   0%
       - completion--in-region                                        1   0%
	- #<compiled 0x145b655>                                       1   0%
	 - apply                                                      1   0%
	  - #<compiled 0x4bd08b>                                      1   0%
	   - completion--in-region-1                                  1   0%
	    - completion--do-completion                               1   0%
	     - completion-try-completion                              1   0%
	      - completion--nth-completion                            1   0%
	       - completion--some                                     1   0%
		- funcall                                             1   0%
		 - #<compiled 0x145b677>                              1   0%
		  - #<compiled 0x145b669>                             1   0%
		     completion-basic-try-completion                  1   0%
  - ...                                                              36   5%
     Automatic GC                                                    36   5%




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 23 Jun 2014 15:52:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 11:52:09 2014
Received: from localhost ([127.0.0.1]:58393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wz6XM-0001iF-Qg
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 11:52:09 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:2570)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1Wz6XH-0001hg-MO
 for 17837 <at> debbugs.gnu.org; Mon, 23 Jun 2014 11:52:03 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwY7gw/APYEXF3SCJQEBAQECAVYjBQsLDiYSFBgNJIgECNIZF456B4Q4BJoBjxiBaoNMIQ
X-IPAS-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwY7gw/APYEXF3SCJQEBAQECAVYjBQsLDiYSFBgNJIgECNIZF456B4Q4BJoBjxiBaoNMIQ
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="69246520"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 23 Jun 2014 11:51:54 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id C7012603CD; Mon, 23 Jun 2014 11:51:53 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
Message-ID: <jwvtx7bfxcb.fsf-monnier+emacsbugs@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
Date: Mon, 23 Jun 2014 11:51:53 -0400
In-Reply-To: <E1Wz68s-0002j9-PF@HIDDEN> (Richard Stallman's message
 of "Mon, 23 Jun 2014 11:26:46 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Visit stallman.org/archives/2014-mar-jun.html and type `C-s
> interview'.  It takes a long time.  Repeat with C-s a few times; each
> time, it takes a long time.

It's not particularly slow for me.

> I get the impression that searching fontifies all the text
> it moves through.  Is that really necessary?  It is a big pain in the neck.

Search doesn't fontify, no.  Of course, to display position N, we need
to font-lock position N, and to font-lock position N, html-mode needs to
scan all positions between 1 and N to look for things like <!--, or
CDATA, or various other such escape codes, so the amount of work is
proportional to the distance.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at 17837 <at> debbugs.gnu.org:


Received: (at 17837) by debbugs.gnu.org; 23 Jun 2014 15:48:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 11:48:15 2014
Received: from localhost ([127.0.0.1]:58389 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wz6Tb-0001bH-5O
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 11:48:15 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:44987)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wz6TU-0001aU-VE
 for 17837 <at> debbugs.gnu.org; Mon, 23 Jun 2014 11:48:09 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N7M00K00P1ALF00@HIDDEN> for 17837 <at> debbugs.gnu.org;
 Mon, 23 Jun 2014 18:47:57 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N7M00KPAP7V4590@HIDDEN>;
 Mon, 23 Jun 2014 18:47:55 +0300 (IDT)
Date: Mon, 23 Jun 2014 18:47:51 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17837: 24.4.50; Search very slow
In-reply-to: <E1Wz68s-0002j9-PF@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: rms@HIDDEN
Message-id: <83d2dzsk48.fsf@HIDDEN>
References: <E1Wz68s-0002j9-PF@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17837
Cc: 17837 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 23 Jun 2014 11:26:46 -0400
> From: Richard Stallman <rms@HIDDEN>
> 
> I get the impression that searching fontifies all the text
> it moves through.  Is that really necessary?  It is a big pain in the neck.

It should only fontify the displayed parts (and sometimes slightly
above and below), not everything.  I will take a look.

Can you compare what you see with some older version of Emacs, like
23.x?  I tried, and they all seem to be of approximately the same
speed (or lack thereof).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jun 2014 15:27:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 23 11:27:07 2014
Received: from localhost ([127.0.0.1]:58356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wz69A-0000wc-1b
	for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 11:27:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57605)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1Wz693-0000vw-PK
 for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 11:27:01 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1Wz68w-0007Wj-Vp
 for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 11:26:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37130)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1Wz68w-0007Wf-TS
 for submit <at> debbugs.gnu.org; Mon, 23 Jun 2014 11:26:50 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59321)
 by lists.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1Wz68v-00026f-FL
 for bug-gnu-emacs@HIDDEN; Mon, 23 Jun 2014 11:26:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1Wz68t-0007WD-W0
 for bug-gnu-emacs@HIDDEN; Mon, 23 Jun 2014 11:26:49 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:34555)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1Wz68t-0007W8-S2
 for bug-gnu-emacs@HIDDEN; Mon, 23 Jun 2014 11:26:47 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rms@HIDDEN>)
 id 1Wz68s-0002j9-PF; Mon, 23 Jun 2014 11:26:46 -0400
Date: Mon, 23 Jun 2014 11:26:46 -0400
Message-Id: <E1Wz68s-0002j9-PF@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15
From: Richard Stallman <rms@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.4.50; Search very slow
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Visit stallman.org/archives/2014-mar-jun.html and type `C-s
interview'.  It takes a long time.  Repeat with C-s a few times; each
time, it takes a long time.

Disable Font Lock mode, and it becomes nice and fast.

I get the impression that searching fontifies all the text
it moves through.  Is that really necessary?  It is a big pain in the neck.




In GNU Emacs 24.4.50.3 (mips64el-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2014-06-02 on chiefs-gnewsense
Repository revision: 117230 michael.albinus@HIDDEN
System Description:	gNewSense GNU/Linux 3.0 (parkes)

Configured using:
 `configure 'CFLAGS=-O0 -g''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GCONF NOTIFY LIBSELINUX
GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: RMAIL

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
R TAB RET C-a C-p C-p C-@ C-n C-n C-n ESC w C-x b R 
TAB RET C-x b c a l l s RET C-s m o g l e n C-a C-n 
C-o C-o SPC SPC L a SPC a b o u t C-a ESC f w C-e SPC 
: r e a l ESC b DEL " C-e SPC n a m e " . C-x C-s C-x 
b RET C-@ C-p C-p C-p r ESC , RET D o e s SPC C-a C-k 
C-o T h a t SPC a r t i c l e SPC t a o k DEL DEL l 
k s SPC a b o u t SPC u s i n g SPC G o o g l e + . 
RET I f SPC y o u SPC m a k e SPC a SPC g DEL G o o 
g l e SPC a c c t SPC a n d SPC d o n ' t SPC u s e 
SPC G o o g l e + C-a ESC f ESC f ESC f ESC f ESC f 
ESC f SPC f o r SPC l o a d i n g SPC a p p s C-e , 
RET d o e s SPC G o o g l e SPC s t i l l SPC r e q 
u i r e SPC y o u r SPC r e a l SPC n a m e ? ESC ; 
C-c C-c ESC < C-x 1 d u o g o o g l e . x TAB RET d 
d x ESC x r e p o r t SPC e m a c s SPC b u g RET

Recent messages:
Saving file /home/rms/calls...
Wrote /home/rms/calls
Mark set [2 times]
Auto-saving...done
Mark set
Sending...
Wrote /home/rms/outgoing/out-6
Sending...done
Added to /home/rms/xmail/google.xmail
Expunging deleted messages...done

Load-path shadows:
/home/rms/emacs-bzr/trunk/lisp/leim/quail/lao hides /home/rms/emacs-bzr/trunk/lisp/language/lao
/home/rms/emacs-bzr/trunk/lisp/leim/quail/georgian hides /home/rms/emacs-bzr/trunk/lisp/language/georgian
/home/rms/emacs-bzr/trunk/lisp/leim/quail/thai hides /home/rms/emacs-bzr/trunk/lisp/language/thai
/home/rms/emacs-bzr/trunk/lisp/leim/quail/ethiopic hides /home/rms/emacs-bzr/trunk/lisp/language/ethiopic
/home/rms/emacs-bzr/trunk/lisp/leim/quail/japanese hides /home/rms/emacs-bzr/trunk/lisp/language/japanese
/home/rms/emacs-bzr/trunk/lisp/leim/quail/cyrillic hides /home/rms/emacs-bzr/trunk/lisp/language/cyrillic
/home/rms/emacs-bzr/trunk/lisp/leim/quail/indian hides /home/rms/emacs-bzr/trunk/lisp/language/indian
/home/rms/emacs-bzr/trunk/lisp/leim/quail/hebrew hides /home/rms/emacs-bzr/trunk/lisp/language/hebrew
/home/rms/emacs-bzr/trunk/lisp/leim/quail/greek hides /home/rms/emacs-bzr/trunk/lisp/language/greek
/home/rms/emacs-bzr/trunk/lisp/leim/quail/czech hides /home/rms/emacs-bzr/trunk/lisp/language/czech
/home/rms/emacs-bzr/trunk/lisp/leim/quail/slovak hides /home/rms/emacs-bzr/trunk/lisp/language/slovak
/home/rms/emacs-bzr/trunk/lisp/leim/quail/tibetan hides /home/rms/emacs-bzr/trunk/lisp/language/tibetan
/home/rms/emacs-bzr/trunk/lisp/emulation/crisp hides /home/rms/emacs-bzr/trunk/lisp/obsolete/crisp
/home/rms/emacs-bzr/trunk/lisp/emulation/tpu-extras hides /home/rms/emacs-bzr/trunk/lisp/obsolete/tpu-extras
/home/rms/emacs-bzr/trunk/lisp/emulation/tpu-edt hides /home/rms/emacs-bzr/trunk/lisp/obsolete/tpu-edt
/home/rms/emacs-bzr/trunk/lisp/emulation/tpu-mapper hides /home/rms/emacs-bzr/trunk/lisp/obsolete/tpu-mapper
/home/rms/emacs-bzr/trunk/lisp/iswitchb hides /home/rms/emacs-bzr/trunk/lisp/obsolete/iswitchb
/home/rms/emacs-bzr/trunk/lisp/emulation/vip hides /home/rms/emacs-bzr/trunk/lisp/obsolete/vip
/home/rms/emacs-bzr/trunk/lisp/emulation/vi hides /home/rms/emacs-bzr/trunk/lisp/obsolete/vi
/home/rms/emacs-bzr/trunk/lisp/emulation/ws-mode hides /home/rms/emacs-bzr/trunk/lisp/obsolete/ws-mode
/home/rms/emacs-bzr/trunk/lisp/emacs-lisp/gulp hides /home/rms/emacs-bzr/trunk/lisp/obsolete/gulp

Features:
(shadow emacsbug vc-arch vc-mtn vc-hg vc-git vc-sccs vc-svn vc-rcs
two-column cal-china lunar solar cal-dst cal-bahai cal-islam
cal-hebrew holidays hol-loaddefs battery calc calc-loaddefs calc-macs
compare-w tmm tabify imenu man vc-bzr find-func debug gnus-util
mailcap doc-view image-mode cl-loaddefs cl-lib tar-mode cal-move
cal-menu calendar cal-loaddefs novice ispell rmailkwd rect log-edit
pcvs-util add-log diff-mode easy-mmode vc vc-dispatcher parse-time
vc-cvs sgml-mode mule-util etags jka-compr dired-aux dabbrev quail
help-mode shell pcomplete grep compile comint ansi-color ring rmailout
misearch multi-isearch epa-mail mailalias epa derived epg epg-config
qp rmailsum rmailmm message sendmail format-spec rfc822 mml easymenu
mml-sec mm-decode mm-bodies mm-encode mailabbrev gmm-utils mailheader
mail-parse rfc2231 dired t-mouse package rmailedit rmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils time-date paren
cus-start cus-load advice help-fns tooltip electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list newcomment lisp-mode
prog-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 8 375295 107675)
 (symbols 24 26751 0)
 (miscs 20 2896 4794)
 (strings 16 48615 15393)
 (string-bytes 1 1436460)
 (vectors 8 29108)
 (vector-slots 4 1480714 54740)
 (floats 8 639 253)
 (intervals 28 71956 4232)
 (buffers 512 173)
 (heap 1024 23318 1739))
[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]


-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.





Acknowledgement sent to rms@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17837; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.